#row-1-col-1 {
    width: 100px;
    height: 100px;
    background-color: transparent;
    position: relative;
    transform: rotate(-40deg);
    transition: all 3s;
}
#row-1-col-1:active {
    transform: rotate(3turn);
}
#row-1-col-1-frame {
    width: 100px;
    height: 100px;
    border-radius: 50%;
    background-color: white;
    position: relative;
}
#row-1-col-1-circle {
    position: absolute;
    top: 25px;
    left: 25px;
    margin: -4px;
    width: 50px;
    height: 50px;
    border-radius: 50%;
    border-top: 4px solid DodgerBlue;
    border-left: 4px solid DodgerBlue;
    border-bottom: 4px solid DodgerBlue;
    border-right: 4px solid transparent;
    transform: rotate(45deg);
}
#row-1-col-1-arrow {
    position: absolute;
    right: 16px;
    bottom: 50px;
    width: 10px;
    height: 10px;
    border: 4px solid DodgerBlue;
    transform: rotate(32deg);
    border-left: 4px solid transparent;
    border-top: 4px solid transparent;
}

#row-1-col-2 {
    width: 110px;
    height: 40px;
    position: relative;
}
#row-1-col-2-right {
    border-radius: 50%;
    position: absolute;
    width: 30px;
    height: 30px;
    top: 5px;
    background-color: var(--c3);
    left:  80px;
    z-index: 9;
    animation-name: r1c2-2;
    animation-duration: 2s;
    animation-iteration-count: infinite;
}
#row-1-col-2-middle {
    border-radius: 50%;
    position: absolute;
    width: 40px;
    height: 40px;
    left: 35px;
    z-index: 10;
    background-color: var(--c4);
}
#row-1-col-2-left {
    border-radius: 50%;
    position: absolute;
    width: 30px;
    height: 30px;
    top: 5px;
    left: 0;
    background-color: var(--c1);
    z-index: 11;
    animation-name: r1c2-1;
    animation-duration: 2s;
    animation-iteration-count: infinite;
}
@keyframes r1c2-1 {
    49% {left: 80px; z-index: 11;}
    50% {left: 80px; z-index: 9}
    99% {left: 0; z-index: 9;}
    100% {left: 0; z-index:11;}
}
@keyframes r1c2-2 {
    49% {left: 0; z-index: 9;}
    50% {left: 0; z-index: 11;}
    99% {left: 80px; z-index: 11;}
    100% {left: 80px; z-index: 9;}
}
#row-1-col-3-back {
    width: 150px;
    height: 50px;
    border: 2px solid gray;
    border-radius: 12px;
    padding: 2px;
}
#row-1-col-3-middle {
    width: 150px;
    height: 50px;
    background: linear-gradient(#eeeeee, #c0c0c0);
    border-radius: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
}
#row-1-col-3-front {
    width: 140px;
    height: 40px;
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    align-items: center;
    font-size: 16px;
    border-radius: 8px;
    box-shadow: 0 0 4px #000000;
    color: #808080;
}
#row-1-col-3-chk {
    font-family: Tahoma, Geneva, sans-serif;
    font-weight: bold;
}
#row-1-col-4 {
    width: 200px;
    height: 200px;
}
#row-1-col-4 g {
    stroke-width: 2px;
    stroke: #f66;
    fill: transparent;
}
#row-1-col-4 path {
    animation-name: r1c4-do;
    animation-duration: 4s;
    animation-timing-function: linear;
    animation-iteration-count: infinite;
    stroke-dasharray: 500;
    stroke-dashoffset: 500;
}
@keyframes r1c4-do {
    /*   from {stroke-dashoffset: 500;} */
    to {stroke-dashoffset: 0;}
}
#row-1-col-5 {
    width: 200px;
    height: 200px;
    position: relative;
    animation-name: r1c5-rot;
    animation-duration: 2s;
    animaiton-timing-function: ease;
    animation-iteration-count: infinite;
}
#row-1-col-5 .arc {
    width: 100px;
    height: 100px;
    border-radius: 50%;
    position: absolute;
    left: 50%;
    top: 50%;
    margin-top: -50px;
    margin-left: -50px;
}
#row-1-col-5 .a1 {
    border-top: 8px solid #f66;
}
#row-1-col-5 .a2 {
    border-top: 8px solid DodgerBlue;
    transform: rotate(120deg)
}
#row-1-col-5 .a3 {
    border-top: 8px solid yellow;
    transform: rotate(240deg);
}
@keyframes r1c5-rot {
    to {transform: rotate(1turn);}
}